<launch> 
  <rosparam command="load" file="$(find armrob_util)/src/robot_arm_info.yaml" />

  <arg name="model" default="$(find armrob_util)/src/urdf/robot-arm-pen.urdf" />
  <arg name="gui" default="true" />
  <?ignore
  <arg name="rvizconfig" default="$(find armrob_util)/src/urdf/urdf.rviz" />
  ?>
  <param name="path_svg_file" value="$(find armrob)/src/RobotArmPath.svg" />

  <param name="robot_description" command="xacro --inorder $(arg model)" />
  <param name="use_gui" value="$(arg gui)"/>

  <node name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" />
  <?ignore
  <node name="rviz" pkg="rviz" type="rviz" args="-d $(arg rvizconfig)" required="true" />
  <node name="draw_pen_rviz" pkg="armrob" type="draw_pen_rviz.py" />
  ?>
  <node pkg="armrob" name="forward_kinematics" type="forward_kinematics.py"/>

  <node pkg="armrob" name="inverse_kinematics" type="inverse_kinematics.py"/>
  <node pkg="armrob" name="smooth_waypoint_seeker" type="smooth_waypoint_seeker.py"/>
  <node pkg="armrob" name="final_project_drawer" type="final_project_drawer.py"/>
  <node pkg="armrob" name="final_project_sensor_node" type="final_project_sensor_node.py"/>
  <!-- Utility node to convert angles to microsecond commands and send them to the arm. -->
  <node pkg="armrob" name="command_arm" type="command_arm.py"/>
  <?ignore
  <!-- Add a camera viewer node, to display the view from a web cam. This node will crash if there's no camera; that's okay. -->
  <group ns="robot_display">
    <node pkg="armrob" name="cam_viewer" type="cam_viewer.py"/>
  </group>
  ?>
</launch>

